Method: partners.channels.create

  • A new channel can be created using a POST request to the specified URL with the partnerId in the path.

  • The created channel can optionally be associated with an advertiser using the advertiserId query parameter.

  • The request body must contain an instance of a Channel object.

  • A successful response will return a newly created instance of the Channel object.

  • Creating a channel requires authorization with the https://www.googleapis.com/auth/display-video OAuth scope.

Creates a new channel. Returns the newly created channel if successful.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/channels

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
partnerId

string (int64 format)

The ID of the partner that owns the created channel.

Query parameters

Parameters
advertiserId

string (int64 format)

The ID of the advertiser that owns the created channel.

Request body

The request body contains an instance of Channel.

Response body

If successful, the response body contains a newly created instance of Channel.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.